.\"	$NetBSD: sip.4,v 1.4 2005/06/23 12:47:38 peter Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 17, 2001
.Dt SIP 4
.Os
.Sh NAME
.Nm sip
.Nd SiS 900-based Ethernet driver
.Sh SYNOPSIS
.Cd "sip* at pci? dev ? function ?"
.Pp
Configuration of PHYs is also necessary.  See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
device driver supports Ethernet interfaces based on the Silicon
Integrated Systems SiS 900, SiS 7016, and National Semiconductor
DP83815 Ethernet chips.
.Pp
The SiS 900 is found on many motherboards featuring SiS chipsets,
and on some embedded systems, and has a built-in PHY.  The SiS 7016
is an older version of the chip, which uses an external PHY.
.Pp
The National Semiconductor DP83815 is found on NetGear FA-311 and
FA-312 Ethernet boards, and has a built-in PHY.
.\" .Sh DIAGNOSTICS
.\" XXX too be done.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was originally written by
.An Jason R. Thorpe
for Network Computer, Inc.
.Pp
It has since been modified by
.An Jason R. Thorpe
.Aq thorpej@NetBSD.org
and
.An Allen Briggs
.Aq briggs@NetBSD.org .
